# macrovar

variáveis de uma função

## Seqüência de Chamamento

    vars=macrovar(function)

## Parâmetros

vars

  list `list(in,out,globals,called,locals)`

function

  nome de uma função

## Descrição

Retorna em uma lista o conjunto de variáveis utilizadas por uma função. `vars` é uma lista feita de cinco vetores colunas de strings

`in` variáveis de entrada (`vars(1)`)

`out` variáveis de saída (`vars(2)`)

`globals` variáveis globais (`vars(3)`)

`called` nomes de funções chamadas (`vars(4)`)

`locals` variáveis locais (`vars(5)`)

## Exemplos

    deff('y=f(x1,x2)','loc=1;y=a*x1+x2-loc')
    vars=macrovar(f)

## Ver Também

- string
- macr2lst